Bug 433109 - A crash dialog for nspluginviewer shows up every time Konqueror displays a page with Flash stuff embedded, when the Mozilla plugin for Gnash (Not klash) is installed
A crash dialog for nspluginviewer shows up every time Konqueror displays a pa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 08:11 EST by Troels Just
Modified: 2009-01-09 01:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:00:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Five screenshots of the crash dialog for nspluginviewer (1.59 MB, application/x-tgz)
2008-02-16 08:11 EST, Troels Just
no flags Details
Backtrace for nspluginviewer_crash_5.png, the crash on tv-tokyo.co.jp (4.57 KB, text/plain)
2008-02-16 08:15 EST, Troels Just
no flags Details

  None (edit)
Description Troels Just 2008-02-16 08:11:33 EST
Description of problem:
When the Mozilla plugin for Gnash installed, and is registered by Konqueror as 
a Netscape plugin to use for embedded Flash stuff, every time one goes to a 
page with Flash stuff embedded, a crash dialog for nspluginviewer shows up. 
Which is really annoying.

Version-Release number of selected component (if applicable):
kdebase-3.5.8-32.fc8

How reproducible:
Medium

Steps to Reproduce:
1. Install gnash-plugin.
2. In Konqueror, go to Settings --> Configure Konqueror --> Plugins, 
click "Scan for New Plugins", so 
that "/usr/lib/mozilla/plugins/libgnashplugin.so" is listed in the Plugins 
tab. (Konqueror will likely pick it up on it's own over time, that's what 
happened to me, and I don't have "Scan for new plugins at KDE startup" 
enabled).
3. Restart Konqueror ("killall konqueror"), and go to any page with Flash on 
it, my favorite test page is www.asus.com
  
Actual results:
Garbled graphics in the area where the Flash "applet" would be located, and a 
crash dialog.

Expected results:
The page with no Flash stuff, since the Mozilla plugin for Gnash really should 
not be used by Konqueror, as it's, as far as I know, meant for Firefox (And 
Mozilla-based browsers) and gnash-klash is meant for Konqueror.

Additional info:
I don't use Adobe's Flash primarily because I keep my system free of 
proprietary software, but I also just hate Flash like the plague. To me it 
gets in my way when I'm browsing the web.
Comment 1 Troels Just 2008-02-16 08:11:33 EST
Created attachment 295068 [details]
Five screenshots of the crash dialog for nspluginviewer
Comment 2 Troels Just 2008-02-16 08:13:53 EST
I forgot to add that I have gnash-plugin (Mozilla plugin) and not gnash-klash 
installed, because I primarily use Konqueror for web browsing, and would like 
a Flash-free web browsing experience, and then use Firefox as a guinea pig for 
playing with Gnash, to see if it's working for say YouTube and stuff.
Comment 3 Troels Just 2008-02-16 08:15:11 EST
Created attachment 295069 [details]
Backtrace for nspluginviewer_crash_5.png, the crash on tv-tokyo.co.jp
Comment 4 Kevin Kofler 2008-02-16 13:02:22 EST
While this is certainly annoying, I'm afraid we can't do much about that, 
Konqueror has support for Mozilla plugins (not perfect as you're seeing), so it 
will try to load them if it finds them. You can disable the loading of Mozilla 
plugins in the preferences.
Comment 5 Troels Just 2008-02-16 13:13:07 EST
(In reply to comment #4)
> While this is certainly annoying, I'm afraid we can't do much about that, 
> Konqueror has support for Mozilla plugins (not perfect as you're seeing), so 
it 
> will try to load them if it finds them. You can disable the loading of 
Mozilla 
> plugins in the preferences.
>
I realize that, but the thing is, this problem only just started with the 
recent kdebase update (kdebase-3.5.8-32.fc8), before then it did not occur.
Comment 6 Kevin Kofler 2008-02-16 13:15:44 EST
Konqueror didn't support nspluginwrapper before.
Comment 7 Troels Just 2008-02-16 13:38:06 EST
(In reply to comment #6)
> Konqueror didn't support nspluginwrapper before.
>
I see. I don't mean to be rude, but it seems to me as if that support is quite 
buggy since it crashes on every page. And it's also very inconvenient because 
then I can't have the Gnash plugin for Firefox installed without Konqueror 
being annoying. Somewhat frustrating picture when one just wishes to be a 
casual tester (Who prefers KDE to GNOME), and also want to use their favored 
browser to surf the Internet.
How come this nspluginviewer stuff gets into the kdebase package for Fedora, 
when it causes a problem like this?
Comment 8 Kevin Kofler 2008-02-16 13:49:13 EST
Because we weren't aware of this bug.

Actually I'm not sure this is really related to nspluginwrapper, it looks to me 
like Konqueror's nspluginviewer is loading the native plugin directly (like it 
normally does, except when loading a 32-bit plugin in a 64-bit Konqueror).

The Konqueror nspluginviewer changes were rushed in to make the current 
versions of the proprietary Flash work. This is also in upstream 3.5.9 now, so 
it is likely that that will crash the same way. :-(
Comment 9 Kevin Kofler 2008-02-16 13:50:26 EST
And to be honest, trying to load the plugin is the _right_ thing to do, the 
actual bug is that it doesn't work.
Comment 10 Troels Just 2008-02-16 14:34:10 EST
(In reply to comment #8)
> Because we weren't aware of this bug.
> 
I see, fair enough!

> Actually I'm not sure this is really related to nspluginwrapper, it looks to 
me 
> like Konqueror's nspluginviewer is loading the native plugin directly (like 
it 
> normally does, except when loading a 32-bit plugin in a 64-bit Konqueror).
> 
> The Konqueror nspluginviewer changes were rushed in to make the current 
> versions of the proprietary Flash work. This is also in upstream 3.5.9 now, 
so 
> it is likely that that will crash the same way. :-(
>
Darn! :P
Anyway, thanks for the info.


(In reply to comment #9)
> And to be honest, trying to load the plugin is the _right_ thing to do, the 
> actual bug is that it doesn't work.
>
I agree.
Comment 11 Bug Zapper 2008-11-26 04:49:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 01:00:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.